<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "crawler_provider_photo".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "CrawlerProviderPhoto".
 *
 * Columns in table "crawler_provider_photo" available as properties of the model,
 * followed by relations of table "crawler_provider_photo" available as properties of the model.
 *
 * @property integer $id
 * @property integer $crawler_provider_id
 * @property string $image_url
 * @property string $photo_path
 * @property string $date_added
 * @property string $date_updated
 *
 * @property CrawlerProvider $crawlerProvider
 */
abstract class BaseCrawlerProviderPhoto extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'crawler_provider_photo';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'CrawlerProviderPhoto|CrawlerProviderPhotos', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array('crawler_provider_id, date_added', 'required'),
            array('crawler_provider_id', 'numerical', 'integerOnly' => true),
            array('image_url, photo_path', 'length', 'max' => 255),
            array('date_updated', 'safe'),
            array('image_url, photo_path, date_updated', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, crawler_provider_id, image_url, photo_path, date_added, date_updated', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'crawlerProvider' => array(self::BELONGS_TO, 'CrawlerProvider', 'crawler_provider_id'),
        );
    }

    public function pivotModels()
    {
        return array();
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'crawler_provider_id' => null,
            'image_url' => Yii::t('app', 'Image Url'),
            'photo_path' => Yii::t('app', 'Photo Path'),
            'date_added' => Yii::t('app', 'Date Added'),
            'date_updated' => Yii::t('app', 'Date Updated'),
            'crawlerProvider' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('crawler_provider_id', $this->crawler_provider_id);
        $criteria->compare('image_url', $this->image_url, true);
        $criteria->compare('photo_path', $this->photo_path, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('date_updated', $this->date_updated, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }
}
